int xmit(void);
int send_loop(void);
void suck_do(void);
int chan_read(int c, char *ss, int sz);
void here_hello(char *bf, int sz);
void here_group_status(char *bf, int sz);
void here_item_status(char *bf, int sz);
void here_item(char *bf, int sz);
void to_ihave_status(char *bf, int sz);
void to_item_status(char *bf, int sz);
void getque_add(char *bf);
void getque_next(void);
void sendque_add(String *item);
void sendque_next(void);
void sendque_reque(int c);
char *getque_mid(char *s);
char *getque_group(char *s);
char *getque_num(char *s);
int mid_find(char *s);
void uucp_send(String *item);
void uucp_write(char *bf, int len);
